public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: load_policy: start the audit daemon if it is not running
@ 2026-09-11 13:17 Petr Lautrbach
  0 siblings, 0 replies; only message in thread
From: Petr Lautrbach @ 2026-09-11 13:17 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 920603d1204364d1a3c56b96ee5044ed629b4078
Author : Petr Lautrbach <plautrba@redhat.com>
Date   : 2020-01-09T13:29:16+01:00
Stats  : +5/-1 in 2 file(s)
URL    : https://src.fedoraproject.org/tests/selinux/c/920603d1204364d1a3c56b96ee5044ed629b4078?branch=pr775-checkpolicy-revdeps

Log:
load_policy: start the audit daemon if it is not running

---
diff --git a/policycoreutils/load_policy/Makefile b/policycoreutils/load_policy/Makefile
index ffee588..f2a61ac 100644
--- a/policycoreutils/load_policy/Makefile
+++ b/policycoreutils/load_policy/Makefile
@@ -53,7 +53,7 @@ $(METADATA): Makefile
 	@echo "Type:            Sanity" >> $(METADATA)
 	@echo "TestTime:        5m" >> $(METADATA)
 	@echo "RunFor:          policycoreutils" >> $(METADATA)
-	@echo "Requires:        audit policycoreutils selinux-policy-targeted" >> $(METADATA)
+	@echo "Requires:        audit policycoreutils selinux-policy-targeted initscripts" >> $(METADATA)
 	@echo "Priority:        Normal" >> $(METADATA)
 	@echo "License:         GPLv2" >> $(METADATA)
 	@echo "Confidential:    no" >> $(METADATA)

diff --git a/policycoreutils/load_policy/runtest.sh b/policycoreutils/load_policy/runtest.sh
index 210950e..73fdc3a 100755
--- a/policycoreutils/load_policy/runtest.sh
+++ b/policycoreutils/load_policy/runtest.sh
@@ -43,6 +43,10 @@ rlJournalStart
         rlRun "ls -l `which load_policy`"
         BINARY_POLICY=`find /etc/selinux/targeted -type f -name policy.?? | sort -n | tail -n 1`
         rlRun "ls -l ${BINARY_POLICY}"
+        if ! pgrep -x auditd ; then
+            rlRun "service auditd start"
+            sleep 1
+        fi
     rlPhaseEnd
 
     rlPhaseStartTest

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:17 [tests/selinux] pr775-checkpolicy-revdeps: load_policy: start the audit daemon if it is not running Petr Lautrbach

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox